> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer-stage.shipbob.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-stage.shipbob.dev/_mcp/server.

# Get Product


GET https://sandbox-api.shipbob.com/2.0/product/{productId}

Reference: https://developer-stage.shipbob.dev/v2.0/api/products/get-product

## Authentication

- `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token
- `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens

## Request

### Path parameters

- `productId` (string, required)

## Response

### 200

Success

- `category` (object, optional)
  - `id` (long, optional)
  - `name` (string, optional, nullable)
- `created_on` (datetime, optional)
- `id` (long, optional)
- `name` (string, optional, nullable)
- `sub_category` (object, optional)
  - `id` (long, optional)
  - `name` (string, optional, nullable)
- `type` (string, optional, nullable)
- `updated_on` (datetime, optional, nullable)
- `user_id` (long, optional)
- `variants` (list of object, optional, nullable)
  - `associated_bundles` (list of object, optional, nullable)
    - `product_id` (long, optional)
    - `product_name` (string, optional, nullable)
    - `quantity` (integer, optional)
    - `variant_id` (long, optional)
    - `variant_sku` (string, optional, nullable)
  - `barcode` (string, optional, nullable)
  - `bundle_definition` (list of object, optional, nullable)
    - `product_id` (long, optional)
    - `quantity` (integer, optional)
    - `variant_id` (long, optional)
    - `variant_name` (string, optional, nullable)
    - `variant_sku` (string, optional, nullable)
  - `channel_metadata` (list of object or object or object or object, optional, nullable)
    - object
      - `channel_id` (long, optional)
      - `channel_name` (string, optional, nullable)
      - `currency` (string, optional, nullable)
      - `id` (long, optional)
      - `is_inventory_sync_enabled` (boolean, optional)
      - `legacy_product_id` (long, optional, nullable)
      - `platform` (string, optional, nullable)
      - `platform_identifier` (string, optional, nullable)
      - `platform_inventory_item_id` (string, optional, nullable)
      - `price` (double, optional)
      - `seller_sku` (string, optional, nullable)
    - object
      - `asin` (string, optional, nullable)
      - `channel_id` (long, optional)
      - `channel_name` (string, optional, nullable)
      - `currency` (string, optional, nullable)
      - `fnsku` (string, optional, nullable)
      - `fulfillment_channel` (string, optional, nullable)
      - `id` (long, optional)
      - `is_inventory_sync_enabled` (boolean, optional)
      - `legacy_product_id` (long, optional, nullable)
      - `platform` (string, optional, nullable)
      - `platform_identifier` (string, optional, nullable)
      - `platform_inventory_item_id` (string, optional, nullable)
      - `price` (double, optional)
      - `seller_sku` (string, optional, nullable)
    - object
      - `channel_id` (long, optional)
      - `channel_name` (string, optional, nullable)
      - `currency` (string, optional, nullable)
      - `id` (long, optional)
      - `is_inventory_sync_enabled` (boolean, optional)
      - `legacy_product_id` (long, optional, nullable)
      - `platform` (string, optional, nullable)
      - `platform_identifier` (string, optional, nullable)
      - `platform_inventory_item_id` (string, optional, nullable)
      - `platform_product_id` (long, optional, nullable)
      - `platform_variant_id` (long, optional, nullable)
      - `price` (double, optional)
      - `seller_sku` (string, optional, nullable)
    - object
      - `channel_id` (long, optional)
      - `channel_name` (string, optional, nullable)
      - `currency` (string, optional, nullable)
      - `id` (long, optional)
      - `is_inventory_sync_enabled` (boolean, optional)
      - `legacy_product_id` (long, optional, nullable)
      - `platform` (string, optional, nullable)
      - `platform_identifier` (string, optional, nullable)
      - `platform_inventory_item_id` (string, optional, nullable)
      - `price` (double, optional)
      - `seller_sku` (string, optional, nullable)
  - `created_on` (datetime, optional)
  - `customs` (object, optional)
    - `country_code_of_origin` (string, optional, nullable)
    - `currency` (string, optional, nullable)
    - `description` (string, optional, nullable)
    - `hs_tariff_code` (string, optional, nullable)
    - `is321_eligible` (boolean, optional)
    - `value` (integer, optional, nullable)
  - `dimension` (object, optional)
    - `height` (double, optional)
    - `length` (double, optional)
    - `unit` (string, optional, nullable)
    - `width` (double, optional)
  - `fulfillment_settings` (object, optional)
    - `dangerous_goods` (boolean, optional)
    - `is_bpm_parcel` (boolean, optional)
    - `is_case_pick` (boolean, optional)
    - `msds_url` (string, optional, nullable)
    - `requires_prop65` (boolean, optional)
    - `serial_scan` (object, optional)
      - `exact_character_length` (integer, optional, nullable)
      - `is_enabled` (boolean, optional)
      - `prefix` (string, optional, nullable)
      - `suffix` (string, optional, nullable)
  - `gtin` (string, optional, nullable)
  - `id` (long, optional)
  - `inventory` (object, optional)
    - `inventory_id` (integer, optional, nullable)
    - `on_hand_qty` (integer, optional)
  - `is_digital` (boolean, optional)
  - `lot_information` (object, optional)
    - `is_lot` (boolean, optional)
    - `minimum_shelf_life_days` (integer, optional, nullable)
  - `name` (string, optional, nullable)
  - `packaging_material_type` (object, optional)
    - `id` (long, optional)
    - `name` (string, optional, nullable)
  - `packaging_requirement` (object, optional)
    - `id` (long, optional)
    - `name` (string, optional, nullable)
  - `return_preferences` (object, optional)
    - `backup_action` (object, optional)
      - `id` (long, optional)
      - `name` (string, optional, nullable)
    - `instructions` (string, optional, nullable)
    - `primary_action` (object, optional)
      - `id` (long, optional)
      - `name` (string, optional, nullable)
    - `return_to_sender_backup_action` (object, optional)
      - `id` (long, optional)
      - `name` (string, optional, nullable)
    - `return_to_sender_primary_action` (object, optional)
      - `id` (long, optional)
      - `name` (string, optional, nullable)
  - `sku` (string, optional, nullable)
  - `status` (string, optional, nullable)
  - `upc` (string, optional, nullable)
  - `updated_on` (datetime, optional, nullable)
  - `weight` (object, optional)
    - `unit` (string, optional, nullable)
    - `weight` (double, optional)

## Examples

**Response**

```json
{
  "category": {
    "id": 0,
    "name": "string"
  },
  "created_on": "2019-08-24T14:15:22+00:00",
  "id": 0,
  "name": "string",
  "sub_category": {
    "id": 0,
    "name": "string"
  },
  "type": "string",
  "updated_on": "2019-08-24T14:15:22+00:00",
  "user_id": 0,
  "variants": [
    {
      "associated_bundles": [
        {
          "product_id": 0,
          "product_name": "string",
          "quantity": 0,
          "variant_id": 0,
          "variant_sku": "string"
        }
      ],
      "barcode": "string",
      "bundle_definition": [
        {
          "product_id": 0,
          "quantity": 0,
          "variant_id": 0,
          "variant_name": "string",
          "variant_sku": "string"
        }
      ],
      "channel_metadata": [
        {
          "channel_id": 0,
          "channel_name": "string",
          "currency": "string",
          "id": 0,
          "is_inventory_sync_enabled": true,
          "legacy_product_id": 0,
          "platform": "string",
          "platform_identifier": "string",
          "platform_inventory_item_id": "string",
          "price": 0.1,
          "seller_sku": "string"
        }
      ],
      "created_on": "2019-08-24T14:15:22+00:00",
      "customs": {
        "country_code_of_origin": "string",
        "currency": "string",
        "description": "string",
        "hs_tariff_code": "string",
        "is321_eligible": true,
        "value": 0
      },
      "dimension": {
        "height": 0.1,
        "length": 0.1,
        "unit": "string",
        "width": 0.1
      },
      "fulfillment_settings": {
        "dangerous_goods": true,
        "is_bpm_parcel": true,
        "is_case_pick": true,
        "msds_url": "string",
        "requires_prop65": true,
        "serial_scan": {
          "exact_character_length": 0,
          "is_enabled": true,
          "prefix": "string",
          "suffix": "string"
        }
      },
      "gtin": "string",
      "id": 0,
      "inventory": {
        "inventory_id": 0,
        "on_hand_qty": 0
      },
      "is_digital": true,
      "lot_information": {
        "is_lot": true,
        "minimum_shelf_life_days": 0
      },
      "name": "string",
      "packaging_material_type": {
        "id": 0,
        "name": "string"
      },
      "packaging_requirement": {
        "id": 0,
        "name": "string"
      },
      "return_preferences": {
        "backup_action": {
          "id": 0,
          "name": "string"
        },
        "instructions": "string",
        "primary_action": {
          "id": 0,
          "name": "string"
        },
        "return_to_sender_backup_action": {
          "id": 0,
          "name": "string"
        },
        "return_to_sender_primary_action": {
          "id": 0,
          "name": "string"
        }
      },
      "sku": "string",
      "status": "string",
      "upc": "string",
      "updated_on": "2019-08-24T14:15:22+00:00",
      "weight": {
        "unit": "string",
        "weight": 0.1
      }
    }
  ]
}
```

**SDK Code**

```python default
import requests

url = "https://sandbox-api.shipbob.com/2.0/product/productId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript default
const url = 'https://sandbox-api.shipbob.com/2.0/product/productId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go default
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox-api.shipbob.com/2.0/product/productId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby default
require 'uri'
require 'net/http'

url = URI("https://sandbox-api.shipbob.com/2.0/product/productId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java default
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sandbox-api.shipbob.com/2.0/product/productId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php default
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sandbox-api.shipbob.com/2.0/product/productId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp default
using RestSharp;

var client = new RestClient("https://sandbox-api.shipbob.com/2.0/product/productId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift default
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.shipbob.com/2.0/product/productId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```